Search triples across a namespace
curl --request POST \
--url https://api.wazoo.dev/namespaces/{namespace}/worlds/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"sources": [
"<string>"
],
"namespace": "<string>",
"limit": 2,
"subjects": [
"<string>"
],
"predicates": [
"<string>"
],
"types": [
"<string>"
]
}
'import requests
url = "https://api.wazoo.dev/namespaces/{namespace}/worlds/search"
payload = {
"query": "<string>",
"sources": ["<string>"],
"namespace": "<string>",
"limit": 2,
"subjects": ["<string>"],
"predicates": ["<string>"],
"types": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
sources: ['<string>'],
namespace: '<string>',
limit: 2,
subjects: ['<string>'],
predicates: ['<string>'],
types: ['<string>']
})
};
fetch('https://api.wazoo.dev/namespaces/{namespace}/worlds/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"subject": "<string>",
"predicate": "<string>",
"object": "<string>",
"vecRank": 123,
"ftsRank": 123,
"score": 123,
"world": {
"slug": "<string>",
"createdAt": 123,
"updatedAt": 123,
"namespace": "<string>",
"label": "<string>",
"description": "<string>",
"deletedAt": 123
}
}
]{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}Search triples across a namespace
POST
/
namespaces
/
{namespace}
/
worlds
/
search
Search triples across a namespace
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Ranked triple hits
⌘I